### Method

# Tsparql SparqlStatement execute

#### Declaration [src]

    TrackerSparqlCursor*
    tracker_sparql_statement_execute (
      TrackerSparqlStatement* stmt,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Executes the `SELECT` or `ASK` SPARQL query with the currently bound values.

This function also works for `DESCRIBE` and `CONSTRUCT` queries that retrieve data from the triple store. These query forms that return RDF data are however more useful together with `tracker_sparql_statement_serialize_async()`.

This function should only be called on `TrackerSparqlStatement` objects obtained through `tracker_sparql_connection_query_statement()` or SELECT/CONSTRUCT/DESCRIBE statements loaded through `tracker_sparql_connection_load_statement_from_gresource()`. An error will be raised if this method is called on a `INSERT` or `DELETE` SPARQL query.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `TrackerSparqlCursor`

A `TrackerSparqlCursor` with the query results.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.